define({ "api": [
  {
    "type": "get",
    "url": "/api/attachment/delete/{md5}",
    "title": "删除文件（图片）",
    "description": "<p>删除文件（图片）</p>",
    "group": "Attachment",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "md5",
            "description": "<p>图片md5码</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"result\": true/false\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   205     ATTACHMENT_DELETE_FAILED        删除附件文件失败\n   206     ATTACHMENT_RECORD_DELETE_FAILED 删除附件记录失败\n   1203    ATTACHMENT_NOT_EXIST            附件不存在",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/AttachmentController.php",
    "groupTitle": "Attachment",
    "name": "GetApiAttachmentDeleteMd5"
  },
  {
    "type": "get",
    "url": "/api/attachment/download/{md5}",
    "title": "下载文件（图片）",
    "description": "<p>下载文件（图片）(get code)</p>",
    "group": "Attachment",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "md5",
            "description": "<p>图片md5码</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n  文件二进制码\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 404 Not found",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/AttachmentController.php",
    "groupTitle": "Attachment",
    "name": "GetApiAttachmentDownloadMd5"
  },
  {
    "type": "post",
    "url": "/api/attachment/upload",
    "title": "通用上传接口",
    "description": "<p>通用上传接口</p>",
    "group": "Attachment",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "tag",
            "description": "<p>附件标签 avatar video dream</p>"
          },
          {
            "group": "Parameter",
            "type": "File",
            "optional": false,
            "field": "file",
            "description": "<p>附件（可以多个，使用file.xxx，可返回多个）[默认大小【10M】, 类型图片png jpg gif,视频类型mp4]</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": [\n        \"file\": \"f72e7dad80f597ed6621a009e82243ad\",\n         //文件访问url http://localhost/attachment/f72e7dad80f597ed6621a009e82243ad\n    ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   200     SAVE_USER_FAILED                保存用户数据失败\n   201     ATTACHMENT_MKDIR_FAILED         创建附件目录失败\n   202     ATTACHMENT_UPLOAD_INVALID       上传附件文件无效\n   203     ATTACHMENT_SAVE_FAILED          保存附件失败\n   204     ATTACHMENT_MOVE_FAILED          移动附件失败\n   205     ATTACHMENT_DELETE_FAILED        删除附件文件失败\n   206     ATTACHMENT_RECORD_DELETE_FAILED 删除附件记录失败\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确\n   1101    INCORRECT_VERIFY_CODE           输入验证码错误\n   1105    USER_DOES_NOT_EXIST             用户不存在\n   1200    ATTACHMENT_UPLOAD_FAILED        附件上传失败\n   1201    ATTACHMENT_SIZE_EXCEEDED        附件大小超过限制\n   1202    ATTACHMENT_MIME_NOT_ALLOWED     附件类型不允许\n   1203    ATTACHMENT_NOT_EXIST            附件不存在",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/AttachmentController.php",
    "groupTitle": "Attachment",
    "name": "PostApiAttachmentUpload"
  },
  {
    "type": "get",
    "url": "/api/auth/logout",
    "title": "退出(logout)",
    "description": "<p>退出(logout)</p>",
    "group": "Auth",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"result\": true/false\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1104,\n    \"message\": \"退出失败\",\n    \"data\": null\n}\n可能出现的错误代码：\n   1104    LOGOUT_FAILED                   退出失败",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/AuthController.php",
    "groupTitle": "Auth",
    "name": "GetApiAuthLogout"
  },
  {
    "type": "post",
    "url": "/api/auth/avatar",
    "title": "上传头像(avatar)",
    "description": "<p>上传头像(reset)</p>",
    "group": "Auth",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "File",
            "optional": false,
            "field": "avatar",
            "description": "<p>头像图片</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"md5\": \"fdf8dd78eb383b8acf6d94d4752c1424\",\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   200     SAVE_USER_FAILED                保存用户数据失败\n   201     ATTACHMENT_MKDIR_FAILED         创建附件目录失败\n   202     ATTACHMENT_UPLOAD_INVALID       上传附件文件无效\n   203     ATTACHMENT_SAVE_FAILED          保存附件失败\n   204     ATTACHMENT_MOVE_FAILED          移动附件失败\n   205     ATTACHMENT_DELETE_FAILED        删除附件文件失败\n   206     ATTACHMENT_RECORD_DELETE_FAILED 删除附件记录失败\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确\n   1101    INCORRECT_VERIFY_CODE           输入验证码错误\n   1105    USER_DOES_NOT_EXIST             用户不存在\n   1200    ATTACHMENT_UPLOAD_FAILED        附件上传失败\n   1201    ATTACHMENT_SIZE_EXCEEDED        附件大小超过限制\n   1202    ATTACHMENT_MIME_NOT_ALLOWED     附件类型不允许\n   1203    ATTACHMENT_NOT_EXIST            附件不存在",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/AuthController.php",
    "groupTitle": "Auth",
    "name": "PostApiAuthAvatar"
  },
  {
    "type": "post",
    "url": "/api/auth/code",
    "title": "获取验证码(get code)",
    "description": "<p>获取验证码(get code)，验证码有效期暂定为15分钟</p>",
    "group": "Auth",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "phone",
            "description": "<p>手机</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"verify_code\": \"1234\"//该值调试时使用，sms调通后取消\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/AuthController.php",
    "groupTitle": "Auth",
    "name": "PostApiAuthCode"
  },
  {
    "type": "post",
    "url": "/api/auth/login",
    "title": "登陆（login）",
    "description": "<p>登陆(login)</p>",
    "group": "Auth",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "phone",
            "description": "<p>手机号码</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "verify_code",
            "description": "<p>手机验证码</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"token\": \"eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsImp0aSI6IjdjYWUyYzFmYTUwMTIyZDI0ZTRiYTZhZGZhNmQxYmZlOWNiMzIxMTBmYWJlZjNjYzIyNmViZjRmNGExNWM3NjllNmU2ZTNiYWE5OGNhOWUzIn0.eyJhdWQiOiIxIiwianRpIjoiN2NhZTJjMWZhNTAxMjJkMjRlNGJhNmFkZmE2ZDFiZmU5Y2IzMjExMGZhYmVmM2NjMjI2ZWJmNGY0YTE1Yzc2OWU2ZTZlM2JhYTk4Y2E5ZTMiLCJpYXQiOjE0NzU0MTE1NTgsIm5iZiI6MTQ3NTQxMTU1OCwiZXhwIjo0NjMxMDg1MTU4LCJzdWIiOiIxIiwic2NvcGVzIjpbXX0.E9YGEzuRUOk02aV1EiWLJ_pD0hKoCyW0k_sGy63hM3u5X8K_HI1kVhaU6JNLqLZeszIAroTEDB8XMgZKAqTLlwtL8PLCJcuDoxfk1BRHbfjhDheTsahBysKGalvNEpzRCrGlao0mS0Cg9qDpEsndtypPFS8sfaflToOzbJjiSK2DvQiHSH8xZI3zHJTezgZMz-pB_hPTxp8ajdv0ve1gWtWjs3vERr0Y91X4hngO8X7LuXtAYtfxGZRIye12YE7TuLBMYzj8CCfiRt7Smhyf4palNW5mzKlZpa2l87n6NQ14Iy4oMzQ2PON1j_swrosuE2yZohGOn6fDdSCBRdJ6dLD_emjBdQCQOoB63R7BbhFZgvFX25TjzFJ7r9AdVMiGmebuRKEVSZV_JCGu1C71OIbQk-UK35s00gSr2fmJGBbN2cZTXBRTJpfuMZ_ihFYEZrvVq_Ih2X0xkd36JUuxaUld1BXRgPZvH-9jBuhe0YW2OOlgwpdm6ZB8BMcuS4ftLoi6FipgzFqfIuy-0ZqPMDnJaG7Gycrdpxza00mgOFxYxJtqwZNsUWFRZEVU881l6VC_cy294YXSPQxUwEoyKg-G5Pm8AEB9bqv5z4EU4B8-XTd3zKNqtNba_snHbc711i4EytCiZfYSjNB1hwenq45YYOAhPTwOpFI0kxyRazc\",\n        \"user\": {\n            \"id\": 1,\n            \"name\": \"15888888888\",\n            \"email\": \"abcdefg@gmail.com\",\n            \"type\": 2,\n            \"phone\": \"15888888888\",\n            \"avatar\": null,\n            \"last_ip\": null,\n            \"created_at\": \"2016-09-30 00:45:13\",\n            \"updated_at\": \"2016-09-29 16:43:36\"\n        }\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确\n   1103    VERIFY_CODE_TOO_MUCH          验证码大于5次\n   1610    SERVICE_CODE_FAILED          验证码错误",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/AuthController.php",
    "groupTitle": "Auth",
    "name": "PostApiAuthLogin"
  },
  {
    "type": "get",
    "url": "/api/dream/collection",
    "title": "收藏梦想",
    "description": "<p>收藏梦想</p>",
    "group": "Dream",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "id",
            "description": "<p>梦想ID</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "is_collection",
            "description": "<p>0取消关注 1关注</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n     \"status\": true,\n     \"status_code\": 0,\n     \"message\": \"\",\n    \"data\": {\n         \"is_collection\": 1       1已关注 0 未关注\n     }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/DreamController.php",
    "groupTitle": "Dream",
    "name": "GetApiDreamCollection"
  },
  {
    "type": "get",
    "url": "/api/dream/search",
    "title": "梦想搜索",
    "description": "<p>梦想搜索)</p>",
    "group": "Dream",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "keyword",
            "description": "<p>关键字</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n    {\n        \"status\": true,\n        \"status_code\": 0,\n        \"message\": \"\",\n        \"data\": [\n            {\n                \"id\": 5,\n                \"user_id\": 1,\n                \"name\": \"梦想标题1\",\n                \"about\": \"梦想介绍\",\n                \"coin\": 2500,\n                \"time\": 72000,\n                \"get_coin\": 0,\n                \"mark\": 0,\n                \"status\": 0,\n                \"video\": \"url\",\n                \"score\": 100079365,\n                \"sign\": \"梦想达人\",\n                \"created_at\": \"2017-06-25 12:45:22\",\n                \"updated_at\": \"2017-06-28 15:50:41\",\n                \"user\": {},\n                \"imgs\": []\n            },\n        ]\n    }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/DreamController.php",
    "groupTitle": "Dream",
    "name": "GetApiDreamSearch"
  },
  {
    "type": "get",
    "url": "/api/dream/show",
    "title": "梦想详情",
    "description": "<p>梦想详情</p>",
    "group": "Dream",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "type",
            "defaultValue": "home",
            "description": "<p>home interaction paihang  默认all</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "id",
            "description": "<p>梦想ID</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n              主页\n    {\n        \"status\": true,\n        \"status_code\": 0,\n        \"message\": \"\",\n        \"data\": {\n            \"dream\": {                             梦想\n                \"id\": 4,\n                \"user_id\": 1,\n                \"a\": 1, //支持乘数系数 后台配置\n                \"c\": 1, //支持乘数系数 后台配置\n                \"name\": \"梦想标题1\",\n                \"about\": \"梦想介绍\",\n                \"coin\": 2500,\n                \"time\": 21,\n                \"get_coin\": 600,\n                \"status\": 0,\n                \"video\": null,\n                \"score\": 100079365,\n                \"sign\": \"\",\n                \"created_at\": \"2017-06-25 11:47:45\",\n                \"updated_at\": \"2017-06-25 15:10:50\",\n                \"is_collection\" : 1                         1已收藏  0未收藏\n                \"top3user\": [                              支持者前三\n                    {\n                        \"id\": 2,\n                        \"phone\": \"13880642881\",\n                        \"nickname\": \"name2\",\n                        \"avatar\": \"https://timgsa.baidu.com/timg?imamb.224_0.jpeg\",\n                        \"score\": 2399\n                    }\n                ],\n                \"number\": 1                                支持乘数\n                \"imgs\": [                                  梦想图片\n                    {\n                        \"title\": \"\",\n                        \"pic\": \"https://timgsa.ba0170524%2Feaca9092ca852e6e9c6ec46b7b14f12f.jpg\"\n                    },\n                    {\n                        \"title\": \"\",\n                        \"pic\": \"https://timgsa.baid524%2Feaca9092ca852e6e9c6ec46b7b14f12f.jpg\"\n                    },\n                    {\n                        \"title\": \"\",\n                        \"pic\": \"https://timgsa20170524%2Feaca9092ca852e6e9c6ec46b7b14f12f.jpg\"\n                    }\n                ],\n                \"user\": {                            梦想用户\n                    \"id\": 1,\n                    \"phone\": \"13880642880\",\n                    \"nickname\": \"name1\",\n                    \"avatar\": \"https://timgsumb.224_0.jpeg\",\n                    \"birthday\": \"2000-06-21\",\n                    \"sign\": 0,\n                    \"money\": 0,\n                    \"coin\": 1300,\n                    \"sex\": 1,\n                    \"signture\": \"\",\n                    \"height\": 170,\n                    \"work\": \"\",\n                    \"emotion\": 1,\n                    \"address\": \"\",\n                    \"city\": \"\",\n                    \"detail_address\": \"\",\n                    \"status\": 1,\n                    \"wechat\": \"\",\n                    \"weibo\": \"\",\n                    \"remember_token\": \"\",\n                    \"created_at\": \"2017-06-25 10:27:08\",\n                    \"updated_at\": \"2017-06-25 15:20:11\",\n                    \"deleted_at\": null\n                }\n            }\n        }\n    }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n \"status\": false,\n \"status_code\": 1105,\n \"message\": \"用户不存在\",\n \"data\": null\n}",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/DreamController.php",
    "groupTitle": "Dream",
    "name": "GetApiDreamShow"
  },
  {
    "type": "get",
    "url": "/api/user/care",
    "title": "关注用户",
    "description": "<p>关注用户</p>",
    "group": "Dream",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "id",
            "description": "<p>用户ID</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "is_care",
            "description": "<p>0取消关注 1关注</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n     \"status\": true,\n     \"status_code\": 0,\n     \"message\": \"\",\n    \"data\": {\n          1       1已关注 0 未关注\n     }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Dream",
    "name": "GetApiUserCare"
  },
  {
    "type": "post",
    "url": "/api/dream/store",
    "title": "发布梦想",
    "description": "<p>发布梦想</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "pics",
            "description": "<p>梦想图片 数组</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "video",
            "description": "<p>梦想视频</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "name",
            "description": "<p>梦想标题</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "about",
            "description": "<p>梦想介绍</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "coin",
            "description": "<p>梦想币</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "time",
            "description": "<p>实现时间默认21*3600</p>"
          }
        ]
      }
    },
    "group": "Dream",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "{\n   \"status\": true,\n  \"status_code\": 0,\n  \"message\": \"\",\n   \"data\": \"\"\n}\nHTTP/1.1 200 OK",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "{\n   \"status\": false,\n   \"status_code\": 1203,\n   \"message\": \"附件不存在\",\n   \"data\": null\n}\nHTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/DreamController.php",
    "groupTitle": "Dream",
    "name": "PostApiDreamStore"
  },
  {
    "type": "post",
    "url": "/api/dream/support",
    "title": "支持梦想",
    "description": "<p>支持梦想</p>",
    "group": "Dream",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "coin",
            "description": "<p>支持梦想币数量</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "id",
            "description": "<p>梦想ID</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n    {\n        \"status\": true,\n        \"status_code\": 0,\n        \"message\": \"\",\n        \"data\": {\n                \"id\": 12,\n                \"user_id\": 2,\n                \"name\": \"用户2梦想标题166\",\n                \"about\": \"用户2梦想介绍666\",\n                \"coin\": 2500,\n                \"time\": 21,\n                \"get_coin\": 704,\n                \"status\": 0,\n                \"video\": null,\n                \"score\": 158730,\n                \"mark\": 158730,\n                \"sign\": \"\",\n                \"created_at\": \"2017-06-25 13:10:56\",\n                \"updated_at\": \"2017-06-27 18:16:02\",\n                \"top3user\": [                               支持者前三\n                    {\n                        \"id\": 1,\n                        \"phone\": \"13880642880\",\n                        \"nickname\": \"name1\",\n                        \"avatar\": \"https://timgsa.bumb.224_0.jpeg\",\n                        \"birthday\": \"2000-06-21\",\n                        \"sign\": 0,\n                        \"money\": 0,\n                        \"coin\": 596,\n                        \"sex\": 1,\n                        \"signture\": \"我的个性签名1\",\n                        \"height\": 170,\n                        \"work\": \"网红\",\n                        \"emotion\": 1,\n                        \"address\": \"\",\n                        \"city\": \"上海\",\n                        \"detail_address\": \"\",\n                        \"status\": 1,\n                        \"wechat\": \"\",\n                        \"weibo\": \"\",\n                        \"remember_token\": \"\",\n                        \"created_at\": \"2017-06-25 10:27:08\",\n                        \"updated_at\": \"2017-06-27 18:16:02\",\n                        \"deleted_at\": null,\n                        \"score\": 5062\n                    }\n                ]\n            \"number\": 4.8\n            \"is_collection\" : 1              1已收藏   0未收藏\n\n    }\n    }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n 可能出现的代码\n{\n      \"status\": false,\n      \"status_code\": 1303,\n      \"message\": \"余额不足\",\n      \"data\": null\n }\n {\n      \"status\": false,\n      \"status_code\": 1410,\n      \"message\": \"支持已达上限\",\n      \"data\": null\n }",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/DreamController.php",
    "groupTitle": "Dream",
    "name": "PostApiDreamSupport"
  },
  {
    "type": "get",
    "url": "/api/user/meet/",
    "title": "见面",
    "description": "<p>见面</p>",
    "group": "Home",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "dream_id",
            "description": "<p>梦想id</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n    {\n        \"status\": true,\n        \"status_code\": 0,\n        \"message\": \"\",\n        \"data\": \"\"\n    }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n    {\n        \"status\": false,\n        \"status_code\": 1412,\n        \"message\": \"梦想暂未实现\",   /梦想不存在/不是最大支持者\n        \"data\": null\n    }",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Home",
    "name": "GetApiUserMeet"
  },
  {
    "type": "get",
    "url": "/api/user/show/",
    "title": "用户信息",
    "description": "<p>用户信息</p>",
    "group": "Home",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "user_id",
            "description": "<p>用户ID</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n  \"status\": true,\n  \"status_code\": 0,\n  \"message\": \"\",\n \"data\": {\n     \"user\": {},             用户信息\n     \"near_dream\": {},       当前梦想\n     \"sup_dreams\": [],       支持的梦想\n     \"imgs\": [],         封面图片\n     \"dreams\": []            曾经的梦想\n     \"score\": 2000           支持分数\n }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n \"status\": false,\n \" status_code\": 1105,\n \"message\": \"用户不存在\",\n \"data\": null\n }",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Home",
    "name": "GetApiUserShow"
  },
  {
    "type": "get",
    "url": "/api/index/home",
    "title": "首页",
    "description": "<p>首页</p>",
    "group": "Index",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "type",
            "defaultValue": "hot",
            "description": "<p>(热门)hot/(潮流)trend/(最新)news</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "page",
            "defaultValue": "1",
            "description": "<p>页码（分页参数）</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n \"status\": true,\n \"status_code\": 0,\n \"message\": \"\",\n \"data\": {\n     \"banners\": [                                      轮播图\n         {\n             \"id\": 34,\n              \"key\": \"4\",\n             \"value\": \"http://w17.9026.com/img/banner/banner_4.png\",\n             \"sort\": 0,\n             \"category\": \"banner\",\n             \"pid\": 0,\n             \"status\": 1,\n             \"created_at\": null,\n             \"updated_at\": null,\n            \"deleted_at\": null\n         }\n     ],\n     \"users\": [],                                     动态用户\n     \"dreams\": {                                      梦想列表\n         \"current_page\": 1,\n         \"data\": [\n             {\n                 \"id\": 5,\n                 \"user_id\": 1,\n                \"name\": \"梦想标题1\",\n                 \"about\": \"梦想介绍\",\n                 \"coin\": 2500,\n                 \"time\": 21,                         实现时间\n                 \"get_coin\": 0,\n                 \"status\": 0,\n                 \"video\": null,\n                 \"score\": 100079365,\n                 \"sign\": \"\",\n                 \"created_at\": \"2017-06-25 12:45:22\",\n                 \"updated_at\": \"2017-06-25 12:45:22\",\n                 \"care_num\": 0,                       关注人数\n                \"img\": {\n                 \"title\": \"\",\n                       \"pic\": \"https://timgsa.baidu.com/timg?ica852e6e9c6ec46b7b14f12f.jpg\"       梦想封面图片\n                  }\n             },\n         ],\n         \"from\": 1,\n         \"last_page\": 1,\n         \"next_page_url\": null,\n         \"path\": \"http://www.miao.com/api/index/home\",\n         \"per_page\": 20,\n         \"prev_page_url\": null,\n        \"to\": 5,\n         \"total\": 5\n     }\n }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/IndexController.php",
    "groupTitle": "Index",
    "name": "GetApiIndexHome"
  },
  {
    "type": "get",
    "url": "/api/index/search",
    "title": "搜索",
    "description": "<p>搜索</p>",
    "group": "Index",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "keyword",
            "description": "<p>关键字可选  (ha/name)</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n          get\n{\n \"status\": true,\n \"status_code\": 0,\n  \"message\": \"\",\n \"data\": {\n      \"hot_searches\": {\n         \"name\": 1,\n         \"梦想\": 1,\n         \"ha\": 1\n     },\n     \"history_searches\": [\n         {\n             \"id\": 3,\n             \"user_id\": 1,\n             \"search\": \"ha\",\n              \"times\": 1,\n             \"created_at\": \"2017-06-25 16:21:47\",\n              \"updated_at\": \"2017-06-25 16:21:47\"\n         },\n     ]\n }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/IndexController.php",
    "groupTitle": "Index",
    "name": "GetApiIndexSearch"
  },
  {
    "type": "get",
    "url": "/api/index/user_search",
    "title": "用户搜索",
    "description": "<p>用户搜索</p>",
    "group": "Index",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "keyword",
            "description": "<p>关键字</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n   \"status\": true,\n   \"status_code\": 0,\n   \"message\": \"\",\n   \"data\":[\n     {\n        \"nickname\": \"ha\",  昵称\n        \"pic\": \"\",    头像\n         ...\n     },\n  ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/IndexController.php",
    "groupTitle": "Index",
    "name": "GetApiIndexUser_search"
  },
  {
    "type": "post",
    "url": "/api/interaction/comment",
    "title": "评论动态",
    "description": "<p>评论动态</p>",
    "group": "Interaction",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "id",
            "description": "<p>动态ID不存在</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "content",
            "description": "<p>内容不能为空</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n     \"status\": true,\n     \"status_code\": 0,\n     \"message\": \"\",\n     \"data\": \"\"\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/InteractionController.php",
    "groupTitle": "Interaction",
    "name": "PostApiInteractionComment"
  },
  {
    "type": "post",
    "url": "/api/interaction/reply",
    "title": "我的回复",
    "description": "<p>我的回复</p>",
    "group": "Interaction",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "text",
            "optional": false,
            "field": "content",
            "description": "<p>回复内容</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "comment_id",
            "description": "<p>评论ID</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "{\n \"status\": true,\n  \"status_code\": 0,\n  \"message\": \"\",\n  \"data\": \"\"\n}\nHTTP/1.1 200 OK",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "{\n  \"status\": false,\n  \"status_code\": 1000,\n  \"message\": \"输入不正确\",\n \"data\": null\n}\nHTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/InteractionController.php",
    "groupTitle": "Interaction",
    "name": "PostApiInteractionReply"
  },
  {
    "type": "post",
    "url": "/api/interaction/store",
    "title": "新增动态",
    "description": "<p>新增动态</p>",
    "group": "Interaction",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "id",
            "description": "<p>梦想ID</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "title",
            "description": "<p>互动标题</p>"
          },
          {
            "group": "Parameter",
            "type": "array",
            "optional": false,
            "field": "pics[]",
            "description": "<p>图片数组</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n     \"status\": true,\n     \"status_code\": 0,\n     \"message\": \"\",\n     \"data\": \"\"\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/InteractionController.php",
    "groupTitle": "Interaction",
    "name": "PostApiInteractionStore"
  },
  {
    "type": "get",
    "url": "/api/my/bank/list",
    "title": "我的银行账户",
    "description": "<p>我的银行账户</p>",
    "group": "My",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n  \"status\": true,\n  \"status_code\": 0,\n \"message\": \"\",\n  \"data\":[] or\n \"data\": [\n  {\n      \"id\": 1,\n     \"user_id\": 1,\n     \"bank_name\": \"1\",\n     \"bank_number\": \"1\",\n     \"bank_phone\": \"1\",\n     \"bank_user\": \"1\"\n  }\n]",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/MyController.php",
    "groupTitle": "My",
    "name": "GetApiMyBankList"
  },
  {
    "type": "get",
    "url": "/api/my/care",
    "title": "我关注的用户",
    "description": "<p>我关注的用户</p>",
    "group": "My",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n  \"status\": true,\n  \"status_code\": 0,\n \"message\": \"\",\n  \"data\":[] or\n  \"data\": [\n     {\n          \"id\": 2,\n          \"phone\": \"13880642881\",\n         \"nickname\": \"name2\",\n         \"avatar\": \"http://www.miao.com/upload/user/20170630/08e235d7211944e9b6482965b4d7c42e.jpg\",\n         \"birthday\": \"2000-06-21\",\n         \"sign\": 0,\n         \"money\": 0,\n         \"coin\": 800,\n         \"sex\": 1,\n         \"signture\": \"我的个性签名2\",\n         \"height\": 200,\n         \"work\": \"兼职\",\n         \"emotion\": 2,\n         \"address\": \"370105\",\n         \"city\": \"成都\",\n         \"detail_address\": \"\",\n         \"status\": 1,\n         \"wechat\": \"\",\n         \"weibo\": \"\",\n         \"remember_token\": \"\",\n         \"created_at\": \"2017-06-25 10:42:06\",\n         \"updated_at\": \"2017-06-30 09:15:04\",\n         \"deleted_at\": null,\n     }\n ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/MyController.php",
    "groupTitle": "My",
    "name": "GetApiMyCare"
  },
  {
    "type": "get",
    "url": "/api/my/cash/page",
    "title": "提现页面",
    "description": "<p>提现页面</p>",
    "group": "My",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n \"status\": true,\n \"status_code\": 0,\n \"message\": \"\",\n \"data\": [\n     {\n         \"id\": 1,\n         \"user_id\": 1,\n        \"bank_name\": \"4\",\n         \"bank_number\": \"3\",\n         \"bank_phone\": \"2\",\n          \"bank_user\": \"1\",\n         \"created_at\": \"2017-08-14 18:09:03\",\n         \"updated_at\": \"2017-08-14 18:09:03\"\n     }\n ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/MyController.php",
    "groupTitle": "My",
    "name": "GetApiMyCashPage"
  },
  {
    "type": "get",
    "url": "/api/my/collection",
    "title": "我的收藏",
    "description": "<p>我的收藏</p>",
    "group": "My",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "keyword",
            "description": "<p>关键字可选</p>"
          }
        ]
      }
    },
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n  \"status\": true,\n  \"status_code\": 0,\n  \"message\": \"\",\n  \"data\": {\n      \"data\": [\n          {                                   梦想详情\n              \"id\": 12,\n              \"user_id\": 2,\n             \"name\": \"用户2梦想标题166\",\n              \"about\": \"用户2梦想介绍666\",\n              \"coin\": 2500,\n              \"time\": 21,\n              \"get_coin\": 0,\n              \"status\": 0,\n              \"video\": null,\n              \"sign\": \"\",\n          },\n          \"img\": {\n              \"title\": \"\",\n              \"pic\": \"https://f12f.jpg\"      梦想封面图片\n           }\n      ],\n      \"users\": {\n          \"2\": \"https://xxx.jpeg\"           ID号和头像\n      }\n  }\n}\n         keyword存在\n    {\n        \"status\": true,\n        \"status_code\": 0,\n        \"message\": \"\",\n        \"data\": [\n            {\n                \"id\": 2,\n                \"user_id\": 1,\n                \"dream_id\": 12,\n                \"dream_user_id\": 2,\n                \"interaction_number\": 0,\n                \"created_at\": \"2017-06-25 13:11:45\",\n                \"updated_at\": \"2017-06-25 13:11:45\",\n                \"dreams\": [                                      梦想\n                    {\n                        \"id\": 12,\n                        \"user_id\": 2,\n                        \"name\": \"用户2梦想标题166\",\n                        \"about\": \"用户2梦想介绍666\",\n                        \"coin\": 2500,\n                        \"end_time\": 72000,\n                        \"get_coin\": 792,\n                        \"mark\": 5484,\n                        \"status\": 0,\n                        \"video\": \"e\",\n                        \"score\": 158730,\n                        \"sign\": \"梦想达人\",\n                        \"created_at\": \"2017-06-25 13:10:56\",\n                        \"updated_at\": \"2017-06-28 16:53:39\"\n                        \"img\": {                                图片\n                            \"title\": \"\",\n                            \"pic\": \"https://timgsa.baidu.com/timg9&di2f.jpg\"\n                        }\n                    }\n                ]\n            }\n        ]\n    }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/MyController.php",
    "groupTitle": "My",
    "name": "GetApiMyCollection"
  },
  {
    "type": "get",
    "url": "/api/my/dream",
    "title": "我的梦想",
    "description": "<p>我的梦想</p>",
    "group": "My",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n  \"status\": true,\n  \"status_code\": 0,\n  \"message\": \"\",\n  \"data\": [\n      {\n          \"id\": 5,\n          \"user_id\": 1,\n          \"name\": \"梦想标题1\",\n          \"about\": \"梦想介绍\",\n          \"coin\": 2500,\n          \"time\": 21,\n           \"get_coin\": 0,\n          \"status\": 0,\n          \"video\": null,\n          \"sign\": \"\",\n          \"created_at\": \"2017-06-25 12:45:22\",\n           \"updated_at\": \"2017-06-25 12:45:22\",\n          \"pic\": \"https://timgsa.baidu.com/timg?image7b14f12f.jpg\",\n      },\n  ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/MyController.php",
    "groupTitle": "My",
    "name": "GetApiMyDream"
  },
  {
    "type": "get",
    "url": "/api/my/edit",
    "title": "修改个人信息",
    "description": "<p>修改个人信息</p>",
    "group": "My",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n \"status\": true,\n  \"status_code\": 0,\n  \"message\": \"\",\n        \"data\": {\n            \"emotion\": [\n                {\n                    \"value\": \"1\",\n                    \"name\": \"未婚\"\n                },\n                {\n                    \"value\": \"2\",\n                    \"name\": \"已婚\"\n                },\n                {\n                    \"value\": \"3\",\n                    \"name\": \"离异\"\n                }\n            ],\n            \"sex\": [\n                {\n                    \"value\": \"0\",\n                    \"name\": \"男\"\n                },\n                {\n                    \"value\": \"1\",\n                    \"name\": \"女\"\n                }\n            ]\n        }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n  \"status\": false,\n  \"status_code\": 1500,\n  \"message\": \"会员不存在\",\n  \"data\": null\n }",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/MyController.php",
    "groupTitle": "My",
    "name": "GetApiMyEdit"
  },
  {
    "type": "get",
    "url": "/api/my/setting",
    "title": "设置",
    "description": "<p>设置</p>",
    "group": "My",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n  \"status\": true,\n  \"status_code\": 0,\n  \"message\": \"\",\n  \"data\": {\n      \"key\": \"2511789\",                    电话\n      \"value\": \"关于喵喵介绍\"              关于喵喵\n  }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/MyController.php",
    "groupTitle": "My",
    "name": "GetApiMySetting"
  },
  {
    "type": "get",
    "url": "/api/my/show",
    "title": "个人首页",
    "description": "<p>个人首页</p>",
    "group": "My",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 O*  \"status\": true,\n{\n   \"status\": true,\n  \"status_code\": 0,\n  \"message\": \"\",\n  \"data\": {\n      \"id\": 1,\n      \"phone\": \"13880642880\",\n      \"nickname\": \"name1\",\n      \"avatar\": \"https://tims%2Fitem%225_kzrcM.thumb.224_0.jpeg\",\n      \"birthday\": \"2000-06-21\",\n      \"sign\": 0,\n      \"money\": 0,\n      \"coin\": 1300,\n      \"sex\": 1,\n      \"signture\": \"\",\n      \"height\": 170,\n      \"work\": \"\",\n      \"emotion\": 1,\n      \"address\": \"\",\n      \"city\": \"\",\n      \"detail_address\": \"\",\n      \"status\": 1,\n      \"wechat\": \"\",\n       \"weibo\": \"\",\n      \"remember_token\": \"\",\n      \"created_at\": \"2017-06-25 10:27:08\",\n      \"updated_at\": \"2017-06-25 15:20:11\",\n      \"deleted_at\": null,\n      \"care_dreams_number\": 2,\n      \"fans_number\": 0,\n      \"collection_number\": 0,\n      \"interaction_number\": 0,\n  }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n     \"status\": true,\n     \"status_code\": 0,\n     \"message\": \"\",\n     \"data\": {\n         \"user\": null\n     }\n}",
          "type": "json"
        }
      ]
    },
    "version": "0.0.0",
    "filename": "server/app/Http/Controllers/Api/V1/MyController.php",
    "groupTitle": "My",
    "name": "GetApiMyShow"
  },
  {
    "type": "get",
    "url": "/api/my/system_info",
    "title": "系统消息",
    "description": "<p>系统消息</p>",
    "group": "My",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n \"status\": true,\n \"status_code\": 0,\n \"message\": \"\",\n \"data\": {\n    \"data\": [\n       ...\n     ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/MyController.php",
    "groupTitle": "My",
    "name": "GetApiMySystem_info"
  },
  {
    "type": "post",
    "url": "/api/my/bank/create",
    "title": "添加银行卡",
    "description": "<p>添加银行卡</p>",
    "group": "My",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "data[bank_name]",
            "description": "<p>银行名称</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "data[bank_number]",
            "description": "<p>银行卡号</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "data[bank_phone]",
            "description": "<p>银行卡绑定手机号</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "data[bank_user]",
            "description": "<p>银行卡用户姓名</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n  \"status\": false,\n \"status_code\": 200,\n \"message\": \"操作成功\",\n \"data\": null\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "{\n \"status\": false,\n \"status_code\": 700,\n \"message\": \"操作失败\",\n \"data\": null\n}",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/MyController.php",
    "groupTitle": "My",
    "name": "PostApiMyBankCreate"
  },
  {
    "type": "post",
    "url": "/api/my/bank/delete",
    "title": "删除银行卡",
    "description": "<p>删除银行卡</p>",
    "group": "My",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "id",
            "description": "<p>银行卡id</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n  \"status\": false,\n \"status_code\": 200,\n \"message\": \"操作成功\",\n \"data\": null\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "{\n \"status\": false,\n \"status_code\": 700,\n \"message\": \"操作失败\",\n \"data\": null\n}",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/MyController.php",
    "groupTitle": "My",
    "name": "PostApiMyBankDelete"
  },
  {
    "type": "post",
    "url": "/api/my/cash",
    "title": "提现",
    "description": "<p>提现</p>",
    "group": "My",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "data[bank_id]",
            "description": "<p>银行卡号id</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "data[cash]",
            "description": "<p>银行卡号id</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n  \"status\": false,\n \"status_code\": 1413,\n \"message\": \"系统审核中\",\n \"data\": null\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "{\n \"status\": false,\n \"status_code\": 700,\n \"message\": \"操作失败\",\n \"data\": null\n}",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/MyController.php",
    "groupTitle": "My",
    "name": "PostApiMyCash"
  },
  {
    "type": "post",
    "url": "/api/my/recharge",
    "title": "充值",
    "description": "<p>充值</p>",
    "group": "My",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "coin",
            "description": "<p>充值金额</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/MyController.php",
    "groupTitle": "My",
    "name": "PostApiMyRecharge"
  },
  {
    "type": "post",
    "url": "/api/my/suggest",
    "title": "联系客服",
    "description": "<p>联系客服</p>",
    "group": "My",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "data[content]",
            "description": "<p>内容</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "data[email]",
            "description": "<p>邮箱</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n  \"status\": false,\n \"status_code\": 200,\n \"message\": \"操作成功\",\n \"data\": null\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "{\n \"status\": false,\n \"status_code\": 700,\n \"message\": \"操作失败\",\n \"data\": null\n}",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/MyController.php",
    "groupTitle": "My",
    "name": "PostApiMySuggest"
  },
  {
    "type": "post",
    "url": "/api/my/update",
    "title": "保存个人信息",
    "description": "<p>保存个人信息</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "pic",
            "description": "<p>头像</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "sex",
            "description": "<p>性别</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "signture",
            "description": "<p>个性签名</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "emotion",
            "description": "<p>情感状态</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "work",
            "description": "<p>职业</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "height",
            "description": "<p>身高</p>"
          }
        ]
      }
    },
    "group": "My",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n   \"status\": true,\n   \"status_code\": 0,\n  \"message\": \"\",\n  \"data\": \"\"\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n  \"status\": false,\n  \"status_code\": 600,\n  \"message\": \"保存用户数据失败\",\n  \"data\": null\n}",
          "type": "json"
        }
      ]
    },
    "filename": "server/app/Http/Controllers/Api/V1/MyController.php",
    "groupTitle": "My",
    "name": "PostApiMyUpdate"
  }
] });
